IN PREVIEW

Azure Bot Service gaat TLS 1.2 (Transport Layer Security) afdwingen

Publicatiedatum: 14 november, 2018

Vanaf 4 december 2018 wordt door Azure Bot Service vereist dat alle verbindingen worden beveiligd met behulp van TLS 1.2 (Transport Layer Security).

Deze vereiste is essentieel om uw gegevens van de best mogelijke beveiliging te voorzien. Microsoft, de bedrijfstak voor betaalkaarten en de gehele internetcommunity hebben besloten om TLS 1.0 en TLS 1.1 niet langer te gebruiken, omdat deze kwetsbaar bleken voor vastbesloten hackers.

Deze wijziging wordt afgedwongen voor alle verbindingen naar Azure Bot Service-servers, of deze nu afkomstig zijn van een chatclient of van een bot. De wijziging wordt niet afgedwongen voor verbindingen van Azure Bot Service naar bots.

 

Meer informatie

De grote meerderheid van verbindingen naar Azure Bot Service maakt al gebruik van TLS 1.2. De paar die dat niet doen, zijn afkomstig van oude clients of oude besturingssystemen. In de meeste gevallen is een upgrade naar een nieuwere browser of een patch voor het besturingssysteem voldoende om TLS 1.2 in te schakelen.

We staan nog steeds toe dat bots oudere protocollen accepteren, maar dat wordt in de toekomst afgeschaft. Het is daarom raadzaam dat botontwikkelaars hun servers zo configureren dat deze TLS 1.2 of hoger accepteren. Als uw bot wordt gehost in Azure Web Apps of Azure Functions, kunt u de wijziging eenvoudig uitvoeren. Als uw bot wordt gehost in een oudere versie van Windows, zoals Windows Server 2008 of Windows 7 (Windows Server 2008 R2), moet u een patch installeren en de bijgewerkte protocollen inschakelen. TLS 1.2 wordt niet ondersteund in Windows Vista en ouder.

De volgende clients kunnen geen TLS 1.2 gebruiken. Werk uw clients bij en raad uw klanten aan om hetzelfde te doen, zodat ze ononderbroken toegang blijven houden tot de service.

  • Android 4.3 en eerdere versies
  • Firefox versie 5.0 en eerdere versies
  • Internet Explorer 8 tot 10 in Windows 7 en eerdere versies
  • Internet Explorer 10 in Win Phone 8.0
  • Safari 6.0.4/OS X10.8.4 en eerdere versies

Meer informatie

  • Azure Bot Services
  • Compliance
  • Services

Verwante producten